lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

require 'version'

Gem::Specification.new do |spec|
  spec.name          = 'table_pal'
  spec.version       = TablePal::VERSION
  spec.authors       = ['Sean Lerner']
  spec.email         = ['sean@@smallcity.ca']
  spec.summary       = 'Aids creating tables'
  spec.homepage      = 'https://github.com/seanlerner/table_pal'
  spec.license       = 'MIT'
  spec.files         = `git ls-files`.split.reject { |f| f.match('test') }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'interesting_methods', '~> 0.1'
  spec.add_development_dependency 'minitest',            '~> 5.12'
  spec.add_development_dependency 'pry',                 '~> 0.12'
  spec.add_development_dependency 'rake',                '~> 13.0'
  spec.add_development_dependency 'rubocop',             '~> 0.71'
end
